Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datasource
Interface JRHierarchicalDatasetMetaData

    public interface JRHierarchicalDatasetMetaData

A JRHierarchicalDatasetMetaData provides meta data for JRHierarchicalDataset. JRHierarchicalDatasetMetaData class is developed by user of JReport, and it will work together with JRHierarchicalDataset.

Field Summary
`static java.lang.String` | `PATH_DELIMITER` The delimiter is used in the full path of tree node, so node name can not inculde it.

Method Summary
`java.lang.String[]` | `getBranchNames(java.lang.String parentName)` Return all branch names for the specified parent node.
`int` | `getLeafCount(java.lang.String parentName)` Return the number of leaves of the specified branch node.
`java.lang.String[]` | `getLeafNames(java.lang.String parentName)` Return all leaf node names.
`int` | `getLeafType(java.lang.String parentName, java.lang.String leafName)` Return the data type of the leaf.
`java.lang.String` | `getParentName(java.lang.String name)` Return the name of the parent.
`int` | `getPrecision(java.lang.String parentName, java.lang.String leafName)` Return the precision of the leaf.
`java.lang.String` | `getRoot()` Return root node names
`int` | `getScale(java.lang.String parentName, java.lang.String leafName)` Return the scale of the leaf.
`boolean` | `isArray(java.lang.String parentName, java.lang.String leafName)` If the leaf is multiple values, then return true.
`boolean` | `isCurrency(java.lang.String parentName, java.lang.String leafName)` Return the currency state of the leaf.
`int` | `isNullable(java.lang.String parentName, java.lang.String leafName)` Return the nullable state of the leaf.

Field Detail

### PATH_DELIMITER

    static final java.lang.String PATH_DELIMITER

  The delimiter is used in the full path of tree node, so node name can not inculde it.

  See Also:
    Constant Field Values

Method Detail

### getRoot

    java.lang.String getRoot()

  Return root node names

### getParentName

    java.lang.String getParentName(java.lang.String name)

  Return the name of the parent.

  Parameters:
    `name` - is full name of node.

### getLeafNames

    java.lang.String[] getLeafNames(java.lang.String parentName)

  Return all leaf node names.

  Parameters:
    `parentName` - is full name of node.

### getLeafCount

    int getLeafCount(java.lang.String parentName)

  Return the number of leaves of the specified branch node.

  Parameters:
    `parentName` - is full name of node.

### getBranchNames

    java.lang.String[] getBranchNames(java.lang.String parentName)

  Return all branch names for the specified parent node. If there are not branch node in this parent node, then return null.

  Parameters:
    `parentName` - is full name of node.

### getLeafType

    int getLeafType(java.lang.String parentName,
                    java.lang.String leafName)

  Return the data type of the leaf. leaf type should be java.sql.Types. public static final int ARRAY 2003 public static final int BIGINT -5 public static final int BINARY -2 public static final int BIT -7 public static final int BLOB 2004 public static final int BOOLEAN 16 public static final int CHAR 1 public static final int CLOB 2005 public static final int DATALINK 70 public static final int DATE 91 public static final int DECIMAL 3 public static final int DISTINCT 2001 public static final int DOUBLE 8 public static final int FLOAT 6 public static final int INTEGER 4 public static final int JAVA_OBJECT 2000 public static final int LONGVARBINARY -4 public static final int LONGVARCHAR -1 public static final int NULL 0 public static final int NUMERIC 2 public static final int OTHER 1111 public static final int REAL 7 public static final int REF 2006 public static final int SMALLINT 5 public static final int STRUCT 2002 public static final int TIME 92 public static final int TIMESTAMP 93 public static final int TINYINT -6 public static final int VARBINARY -3 public static final int VARCHAR 12

  Parameters:
    `parentName` - is full name of node.
    `leafName` - is real name of node.

### getPrecision

    int getPrecision(java.lang.String parentName,
                     java.lang.String leafName)

  Return the precision of the leaf.

  Parameters:
    `parentName` - is full name of node.
    `leafName` - is real name of node.

### getScale

    int getScale(java.lang.String parentName,
                 java.lang.String leafName)

  Return the scale of the leaf.

  Parameters:
    `parentName` - is full name of node.
    `leafName` - is real name of node.

### isNullable

    int isNullable(java.lang.String parentName,
                   java.lang.String leafName)

  Return the nullable state of the leaf.

  Parameters:
    `parentName` - is full name of node.
    `leafName` - is real name of node.

### isCurrency

    boolean isCurrency(java.lang.String parentName,
                       java.lang.String leafName)

  Return the currency state of the leaf.

  Parameters:
    `parentName` - is full name of node.
    `leafName` - is real name of node.

### isArray

    boolean isArray(java.lang.String parentName,
                    java.lang.String leafName)

  If the leaf is multiple values, then return true. Otherwise, return false.

  Parameters:
    `parentName` - is full name of node.
    `leafName` - is real name of node.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD